import { OnInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { HttpClient } from '@angular/common/http';
export declare enum Language {
    Html = "html",
    Typescript = "typescript"
}
export declare class CodeShowComponent implements OnInit {
    private _http;
    private _elementRef;
    private _changeDetectorRef;
    componentName: string;
    htmlCode: string;
    typescriptCode: string;
    expanded: boolean;
    fetchingCode: boolean;
    selectedLanguage: Language;
    readonly Language: typeof Language;
    constructor(_http: HttpClient, _elementRef: ElementRef, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    toggle(): void;
    switchLanguage(language: Language): void;
    highlightCode(): void;
    fetchCode(): Promise<void>;
    composeComponentPath(): string;
    copyCode(): void;
}
